Create, view, and manage agreements including sending, voiding, and reassigning
List Agreements
This endpoint allows users to view a list of agreements that have been created within Common Paper. Users can filter and sort agreements based on various criteria, such as created_at, status, and agreement_type.
query Parameters
page[number]Page number to retrieve. Defaults to 1.
page[size]Number of records per page. Defaults to 30.
filter[status_eq]Filter by exact status (e.g. draft, sent, signed, voided_by_sender, expired, declined).
filter[agreement_type_eq]Filter by exact agreement type (e.g. nda, csa, dpa).
filter[recipient_email_eq]Filter by the recipient's exact email address.
filter[recipient_email_cont]Filter agreements where the recipient email contains the given value.
filter[created_at_gteq]Filter agreements created on or after this date (ISO 8601).
filter[created_at_lteq]Filter agreements created on or before this date (ISO 8601).
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
List Agreements › Responses
OK
Create Agreement
This endpoint allows the user to create an agreement in Common Paper. The user must supply ONE of either an id or email for both signer and owner.
The owner is the sender of the agreement. The signer is the individual who is signing the agreement from the owners organization. The recipient email is the counterparty.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Create Agreement › Request Body
template_idowner_emailowner_idsigner_emailsigner_idcc_usersCreate Agreement › Responses
OK
Get Agreement
This endpoint allows users to retrieve a specific agreement from Common Paper by providing its uuid. Returns the details of the agreement, such as the parties involved, the terms of the agreement, and the status.
path Parameters
idThe UUID of the resource.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Get Agreement › Responses
OK
Void Agreement
This endpoint allows users to void a specific agreement within Common Paper. Voiding an agreement means that it is no longer valid and cannot be executed.
path Parameters
idThe UUID of the resource.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Void Agreement › Responses
Agreement voided successfully. No response body is returned.
Resend Agreement Email
This endpoint resends the last notification email sent to the recipient party in a specific agreement within Common Paper, usually to move the process along a little faster.
path Parameters
idThe UUID of the resource.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Resend Agreement Email › Responses
Email resent successfully. No response body is returned.
Reassign Agreement
This endpoint allows users to reassign a specific agreement within Common Paper to a different recipient. This may be necessary if the original assignee is no longer available or if a different user is better suited to handle the agreement.
path Parameters
idThe UUID of the resource.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Reassign Agreement › Responses
Agreement reassigned successfully. No response body is returned.